<?php

$business_solutions_custom_css = "";


$business_solutions_primary_color = get_theme_mod('business_solutions_primary_color');

/*------------------ Primary Global Color -----------*/

if ($business_solutions_primary_color) {
  $business_solutions_custom_css .= ':root {';
  $business_solutions_custom_css .= '--primary-color: ' . esc_attr($business_solutions_primary_color) . ' !important;';
  $business_solutions_custom_css .= '} ';
}


	// Scroll to top button shape 

	$business_solutions_scroll_border_radius = get_theme_mod( 'business_solutions_scroll_to_top_radius','curved-box');
    if($business_solutions_scroll_border_radius == 'box'){
		$business_solutions_custom_css .='#button{';
			$business_solutions_custom_css .='border-radius: 0px;';
		$business_solutions_custom_css .='}';
	}else if($business_solutions_scroll_border_radius == 'curved-box'){
		$business_solutions_custom_css .='#button{';
			$business_solutions_custom_css .='border-radius: 4px;';
		$business_solutions_custom_css .='}';
	}
	else if($business_solutions_scroll_border_radius == 'circle'){
		$business_solutions_custom_css .='#button{';
			$business_solutions_custom_css .='border-radius: 50%;';
		$business_solutions_custom_css .='}';
	}

  // Footer Background Image Attatchment 

	$business_solutions_footer_attatchment = get_theme_mod( 'business_solutions_background_attatchment','scroll');
	if($business_solutions_footer_attatchment == 'fixed'){
		$business_solutions_custom_css .='.site-footer{';
			$business_solutions_custom_css .='background-attachment: fixed;';
		$business_solutions_custom_css .='}';
	}elseif ($business_solutions_footer_attatchment == 'scroll'){
		$business_solutions_custom_css .='.site-footer{';
			$business_solutions_custom_css .='background-attachment: scroll;';
		$business_solutions_custom_css .='}';
	}

  // Menu Hover Style	

	$business_solutions_menus_item = get_theme_mod( 'business_solutions_menus_style','None');
    if($business_solutions_menus_item == 'None'){
		$business_solutions_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
			$business_solutions_custom_css .='';
		$business_solutions_custom_css .='}';
	}else if($business_solutions_menus_item == 'Zoom In'){
		$business_solutions_custom_css .= '#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover {';
		$business_solutions_custom_css .= 'transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$business_solutions_custom_css .= '}';
		
		$business_solutions_custom_css .= '.main-navigation ul ul li a:hover {';
		$business_solutions_custom_css .= 'margin-left: 20px;';
		$business_solutions_custom_css .= '}';
	}	
